:- module(vollformenlexikon,[wort/3]).

% Schwach konjugiertes ([nom,akk]=transitives) Verb:

wort(entdecken,v([nom,akk],[1,sg,praes,ind]),entdecke ).
wort(entdecken,v([nom,akk],[2,sg,praes,ind]),entdeckst).
wort(entdecken,v([nom,akk],[3,sg,praes,ind]),entdeckt ).
wort(entdecken,v([nom,akk],[1,pl,praes,ind]),entdecken).
wort(entdecken,v([nom,akk],[2,pl,praes,ind]),entdeckt ).
wort(entdecken,v([nom,akk],[3,pl,praes,ind]),entdecken).

wort(entdecken,v([nom,akk],[1,sg,praet,ind]),entdeckte  ).
wort(entdecken,v([nom,akk],[2,sg,praet,ind]),entdecktest).
wort(entdecken,v([nom,akk],[3,sg,praet,ind]),entdeckte  ).
wort(entdecken,v([nom,akk],[1,pl,praet,ind]),entdeckten ). 
wort(entdecken,v([nom,akk],[2,pl,praet,ind]),entdecktet ).
wort(entdecken,v([nom,akk],[3,pl,praet,ind]),entdeckten ).

% Stark konjugiertes ([nom]=intransitives) Verb:

wort(gehen,v([nom],[1,sg,praes,ind]),gehe ).
wort(gehen,v([nom],[2,sg,praes,ind]),gehst).
wort(gehen,v([nom],[3,sg,praes,ind]),geht ).
wort(gehen,v([nom],[1,pl,praes,ind]),gehen).
wort(gehen,v([nom],[2,pl,praes,ind]),geht ).
wort(gehen,v([nom],[3,pl,praes,ind]),gehen).

wort(gehen,v([nom],[1,sg,praet,ind]),ging  ).
wort(gehen,v([nom],[2,sg,praet,ind]),gingst).
wort(gehen,v([nom],[3,sg,praet,ind]),ging  ).
wort(gehen,v([nom],[1,pl,praet,ind]),gingen).
wort(gehen,v([nom],[2,pl,praet,ind]),gingt ).
wort(gehen,v([nom],[3,pl,praet,ind]),gingen).

wort(_,v(_,[_,_,_,konj]),_) :-
    write(user,'Finite Verbformen im Konjunktiv
                sind nicht definiert.\n'),
    fail.

