% Extraktion eines Relativsatzes.

s --> np(nom), aux, np(akk), vpart.
rels --> relpron, pron(dat), vpart.

np(nom) --> pron(nom).
np(akk) --> det, n, rels.

pron(nom) --> [er].
pron(dat) --> [mir].
relpron --> [das].
n --> [auto].
det --> [das].

vpart --> [gestohlen].
vpart --> [gehrt].
aux --> [hat].

% Zusammenhngende NP mit Relativsatz:
% s([er, hat, das, auto, das, mir ,gehrt, gestohlen],[]).

s --> s/rels, rels.
s/rels --> np(nom), aux, np(akk)/rels, vpart.
np(akk)/rels --> det, n, rels/rels.
rels/rels --> [].

% NP, mit Relativsatz ins Nachfeld extrahiert:
% s([er, hat, das, auto, gestohlen, das, mir ,gehrt],[]).

% Mit Baumanzeige:

% ?- ['Parser/term_expansion', 'Grammatik/extraktion',
%      'Parser/tokenizer.mini', 'Parser/showTree'].

startsymbol(s).

